Require Import bool.
Require Import connectives.
Require Import leibniz.
Parameter nat : Type.
Parameter O : nat.
Parameter leb_body : nat -> nat -> bool.bool.
Axiom axiom_leb_body_O : connectives.equal (nat -> bool.bool) (leb_body O) (fun (m:nat) => bool.true).
Definition eq_leb_body_O : leibniz.leibniz (nat -> bool.bool) (leb_body O) (fun (m:nat) => bool.true) := ((((connectives.equal_leibniz) (nat -> bool.bool)) (leb_body O)) (fun (m:nat) => bool.true)) (axiom_leb_body_O).
Definition sym_eq_leb_body_O : leibniz.leibniz (nat -> bool.bool) (fun (m:nat) => bool.true) (leb_body O) := ((((leibniz.sym_leibniz) (nat -> bool.bool)) (leb_body O)) (fun (m:nat) => bool.true)) (eq_leb_body_O).
